Subject: bug#72554: 31.0.50; misleading release information for 'always'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Aug 2024 15:47:55 +0300

> From: Ulrich Mueller <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 10 Aug 2024 14:07:20 +0200
> 
> >>>>> On Sat, 10 Aug 2024, Eli Zaretskii wrote:
> 
> > help-fns--first-release-regexp is supposed to find only quoted names,
> > so the problem is not with common words.  I think it finds this in
> > NEWS.25:
> 
> >   *** New value 'always' for 'sh-indent-after-continuation'.
> >                 ^^^^^^^^
> 
> NEWS.26, too (twice):
> 
>   ** Option 'buffer-offer-save' can be set to new value, 'always'.
>                                                          ^^^^^^^^
>   When set to 'always', the command 'save-some-buffers' will always
>               ^^^^^^^^
>   offer this buffer for saving.
> 
> > So maybe we should reject matches that immediately follow "value" or
> > "values".  That won't reject all false positives, but it should be an
> > improvement, I think.

So we have more prefixes to filter out: "set to" as well.  And some
punctuation between "value" and a quoted symbol should be ignored.